curl --request GET \
--url https://api.example.com/v2/events/aggregate \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v2/events/aggregate"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v2/events/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"property": "ari_job_id",
"value": "018f5f0c-1111-7abc-8def-123456789abc",
"aggregation": "sum",
"data": [
{
"metric_id": "metric_0194f4e3a2b77c6aa91c4f6b4db2a980",
"currency": "usd",
"quantity": "1250.5"
}
]
}"<string>""Invalid API key""<string>""<string>""rate limit exceeded""<string>"Usage by event property
Authorizations
LedgerUp API Key.
Query Parameters
100^[A-Za-z0-9_]+$1 - 500Aggregation applied to corrected usage events. latest returns the quantity from the event with the latest occurred_at; ties use accepted_at then event ID. count returns the number of events.
sum, min, max, avg, latest, count "sum"
Inclusive lower bound for event occurrence time. Defaults to five years before the request. Unix timestamp in seconds.
1767225600
Exclusive upper bound for event occurrence time. Defaults to the request time. Unix timestamp in seconds.
1767225600
Aggregate only matching events for this currency. Normalized to lowercase.
^[A-Za-z]{3}$"usd"
Response
Metric totals for matching usage events.
"ari_job_id"
"018f5f0c-1111-7abc-8def-123456789abc"
Aggregation applied to corrected usage events. latest returns the quantity from the event with the latest occurred_at; ties use accepted_at then event ID. count returns the number of events.
sum, min, max, avg, latest, count "sum"
Show child attributes
Show child attributes